<div class="col-12">
  <div class="card" style="background-color: #00B5B8 !important;margin-bottom: 35px;"><div class="col-12">
    <div class="form-group" style="margin:10px;">
      <input class="form-control" type="text" [(ngModel)]="term" placeholder="Search">
    </div></div>
  </div>
  <div class="card">
    <div class="card-header" style="background-color: #00B5B8 !important;margin-bottom: 35px;">
      <div class="row">
        <div class="col-6">
          <h4>
            Books

            <span class="badge badge badge-info badge-pill mr-2"></span></h4>
        </div>
        <div class="col-6">
          <a class="btn btn-warning btn-sm pull-right"     style="margin-left: -9px;" title="Actualiser"><i class="fa fa-refresh"></i></a>

          <a class="alarme_clock btn btn-yahoo btn-sm pull-right mr-1" data-action="expand" title="Passer en Plein Ecran"><i class="ft-maximize" style="color:white;"></i></a>

          <a class="btn btn-primary btn-sm pull-right mr-1" routerLink="/book/create"><i
            class="fa fa-plus mr-0"></i>
            New
          </a>

        </div>
      </div>

    </div>

  </div>
</div>

<div class="card-deck">
  <div class="card" *ngFor="let book of listBook |filter:term">
    <div type="button" data-toggle="modal" (click)="getByid(book)" data-target="#exampleModal" >
    <img class="card-img-top" src="{{book.photo}}" alt="Card image cap">
    <div class="card-body">
      <h5 class="card-title">{{book.title}}</h5>
      <p class="card-text">{{book.description}}</p>
    </div>
    <div class="card-footer">

    </div>

    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Book details</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-12">
            <div class="card">

              <div class="card-body">
                <form #f="ngForm">
                  <div class="table-responsive">
                    <table class="table table-bordered" id="item_table">

                      <tr>
                        <th>title</th>
                      </tr>
                      <td><input type="text" class="form-control" ngModel required #m="ngModel" [(ngModel)]="book1.title" name="book.title"   readonly >
                        <div class="alert alert-danger" *ngIf="m.invalid && m.touched">
                          title is required</div>
                      </td>

                      <tr>
                        <th>Description</th>
                      </tr>
                      <td><input type="text" class="form-control" ngModel required #md="ngModel" [(ngModel)]="book1.description" name="book.description"  readonly  >
                        <div class="alert alert-danger" *ngIf="md.invalid && md.touched">
                          description is required</div>
                      </td>

                      <tr>
                        <th>Author</th>


                      </tr>
                        <tr>
                          <td>Name: <input type="text" class="form-control" value="{{currentAuthor.name}}"  readonly  >
                          </td>
                        </tr>
                      <tr>
                        <td>Country: <input type="text" class="form-control" value="{{currentAuthor.country}}"  readonly  >
                        </td>
                      </tr>

                      <tr>
                        <th>year</th>
                      </tr>
                      <td><input type="number" class="form-control" ngModel required #p="ngModel" [(ngModel)]="book1.year" name="book.year" pattern="[1-9][0-9]{0,3}" readonly >
                        <div class="alert alert-danger" *ngIf="p.invalid && p.touched">
                          year is required</div>
                      </td>
                      <tr>
                        <th>photo</th>
                      </tr>
                      <td><input type="text" class="form-control" ngModel required #c="ngModel" [(ngModel)]="book1.photo" name="book.photo" readonly >
                        <div class="alert alert-danger" *ngIf="c.invalid && c.touched">
                          photo is required</div>
                      </td>
                      <tr>
                        <th>cover</th>
                      </tr>
                      <td><input type="text" class="form-control" ngModel required #cp="ngModel" [(ngModel)]="book1.cover" name="book.cover"  readonly>
                        <div class="alert alert-danger" *ngIf="cp.invalid && cp.touched">
                          cover is required</div>
                      </td>
                      <tr>
                        <th>language</th>
                      </tr>
                      <td><input type="text" class="form-control" ngModel required #pic="ngModel" [(ngModel)]="book1.language" name="book.language" readonly>
                        <div class="alert alert-danger" *ngIf="pic.invalid && pic.touched">
                          language is required</div>
                      </td>

                      <tr>
                        <th>price</th>
                      </tr>
                      <td><input type="number" class="form-control" ngModel required #pfr="ngModel" [(ngModel)]="book1.price" name="book.price" pattern="[1-9][0-9]{0,2}" readonly>
                        <div class="alert alert-danger" *ngIf="pfr.invalid && pfr.touched">
                          price is required</div>
                      </td>

                      <tr>
                        <th>value</th>
                      </tr>
                      <td><input type="number" class="form-control" ngModel [(ngModel)]="book.value" name="book.value"  readonly>

                      </td>

                    </table>

                  </div>
                </form>

              </div>

            </div>
          </div>
        </div>

      </div>
    </div>
  </div>
</div>
